Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class WorkflowManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreWorkflowManager, WorkflowManagerImpl

    public interface class WorkflowManager

extends java.rmi.Remote

FDK interface for managing Workflow operations.

Method Summary
`Item` | `getRequestForWorkflowProcess(long workflowPid, AttributeRequest[] attrs)` Returns a Request corresponding to a given WorkflowProcess id.
`Item` | `getWorkflowConfiguration(long id, java.lang.String operation, boolean direct, AttributeRequest[] attrs)` Returns the WorkflowConfiguration of the specified type that is associated with the given item ID, or null if no WorkflowConfiguration of the specified type exists for the given item ID.
`Item[]` | `getWorkflowConfigurations(long id, AttributeRequest[] attrs)` Returns every WorkflowConfiguration that is associated directly with the given Item ID, or null if no WorkflowConfigurations exist directly on the given Item ID.
`Item[]` | `listCustomWorkflows(NamedValue[] options, AttributeRequest[] attributes)` Returns all Custom Workflow instances that have been registered.
`Item[]` | `listWorkflows(AttributeRequest[] attributes)` Returns all Workflow instances that have been registered.
`void` | `removeWorkflowConfiguration(long id, java.lang.String operation)` Removes a `WORKFLOW_CONFIGURATION` Item of the specified type from the specified `FOLDER` Item.
`void` | `setWorkflowConfiguration(long id, java.lang.String operation, NamedValue[] def)` Sets a `WORKFLOW_CONFIGURATION` for a `FOLDER` Item, replacing any existing `WORKFLOW_CONFIGURATION` of the same operation type (`Attributes.WORKFLOW_CONFIGURATION_OPERATION`).
`java.lang.String` | `validateWorkflowParameterValue(long workflowId, java.lang.String paramName, java.lang.String value)` Validates that the `value` for the parameter `name` is correct according to the validator defined for that parameter.

Method Detail

### listWorkflows

    Item[] listWorkflows(AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns all Workflow instances that have been registered.

  Parameters:
    `attributes` - the requested attributes.
  Returns:
    an array of Workflow items.
  Throws:
    `FdkException` - if the operation fails.

### listCustomWorkflows

    Item[] listCustomWorkflows(NamedValue[] options,
                               AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns all Custom Workflow instances that have been registered.

  Parameters:
    `options` - the options for listing.(currently not used).
    `attributes` - the requested attributes.
  Returns:
    an array of Workflow items.
  Throws:
    `FdkException` - if the operation fails.

### setWorkflowConfiguration

    void setWorkflowConfiguration(long id,
                                  java.lang.String operation,
                                  NamedValue[] def)
                                  throws FdkException

  Description copied from interface: `WorkflowManager`
  Sets a `WORKFLOW_CONFIGURATION` for a `FOLDER` Item, replacing any existing `WORKFLOW_CONFIGURATION` of the same operation type (`Attributes.WORKFLOW_CONFIGURATION_OPERATION`).

  Parameters:
    `id` - The ID of the `FOLDER` Item on which to set the `WORKFLOW_CONFIGURATION`.
    `operation` - The type of `WORKFLOW_CONFIGURATION` to set (use one of the values of `Attributes.WORKFLOW_OPERATIONS`).
    `def` - The attributes of the WorkflowConfiguration:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.WORKFLOW_CONFIGURATION_WORKFLOW, Long}
    - {Attributes.WORKFLOW_CONFIGURATION_RESPONDERS, long[]}
    - {Attributes.WORKFLOW_CONFIGURATION_RESPONDERS_BYPASS, Boolean}
    - {Attributes.CONFIGURATION_FINAL, Boolean}
    - {Attributes.CONFIGURATION_ENABLED, Boolean}
    - {Attributes.WORKFLOW_CONFIGURATION_PARAMETERS, NamedValueSet[]} - where each element is a NamedValue[] with the following attributes:
      - {Attributes.WORKFLOW_PARAMETER_NAME, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_DEFAULT_VALUE, String}
      - {Attributes.WORKFLOW_PARAMETER_REQUIRED, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_PROMPTED, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_HIDDEN, Boolean}
    `
  Throws:
    `FdkException` - if the operation fails.

### removeWorkflowConfiguration

    void removeWorkflowConfiguration(long id,
                                     java.lang.String operation)
                                     throws FdkException

  Description copied from interface: `WorkflowManager`
  Removes a `WORKFLOW_CONFIGURATION` Item of the specified type from the specified `FOLDER` Item.

  Parameters:
    `id` - The ID of the `FOLDER` Item from which to remove the `WORKFLOW_CONFIGURATION` Item.
    `operation` - The type of `WORKFLOW_CONFIGURATION` to remove; use the value of `Attributes.WORKFLOW_CONFIGURATION_OPERATION` for a specific `WORKFLOW_CONFIGURATION` Item to remove, or use any of the values of `Attributes.WORKFLOW_OPERATIONS`.
  Throws:
    `FdkException` - if the operation fails.

### getWorkflowConfigurations

    Item[] getWorkflowConfigurations(long id,
                                     AttributeRequest[] attrs)
                                     throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns every WorkflowConfiguration that is associated directly with the given Item ID, or null if no WorkflowConfigurations exist directly on the given Item ID.

  Parameters:
    `id` - ID of the Item from which to retrieve WorkflowConfiguration instances.
    `attrs` - the requested attributes
  Throws:
    `FdkException` - if the operation fails.

### getWorkflowConfiguration

    Item getWorkflowConfiguration(long id,
                                  java.lang.String operation,
                                  boolean direct,
                                  AttributeRequest[] attrs)
                                  throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns the WorkflowConfiguration of the specified type that is associated with the given item ID, or null if no WorkflowConfiguration of the specified type exists for the given item ID.

  Parameters:
    `id` - ID of the Item from which to retrieve the WorkflowConfiguration of the specified type.
    `operation` - the operation to configure (the type of WorkflowConfiguration) (see `Attributes.WORKFLOW_CONFIGURATION_OPERATION` and `Attributes.WORKFLOW_OPERATIONS`).
    `direct` - whether to only retrieve the WorkflowConfiguration of the specified type directly from the given Item ID; if false and the given Item ID does not have a direct WorkflowConfiguration of the specified type, then this method retrieves the WorkflowConfiguration from the closest parent of the Item ID that does have one.
    `attrs` - the requested attributes (see `getWorkflowConfigurations`).
  Throws:
    `FdkException` - if the operation fails.

### validateWorkflowParameterValue

    java.lang.String validateWorkflowParameterValue(long workflowId,
                                                    java.lang.String paramName,
                                                    java.lang.String value)
                                                    throws FdkException

  Description copied from interface: `WorkflowManager`
  Validates that the `value` for the parameter `name` is correct according to the validator defined for that parameter.

  Parameters:
    `workflowId` - ID of the Workflow on which the parameter is defined.
    `paramName` - name of the workflow parameter.
    `value` - value to verify.
  Returns:
    the normalized value (which may be simply the input value provided).
  Throws:
    `FdkException` - if the operation fails, or if the validation fails.

### getRequestForWorkflowProcess

    Item getRequestForWorkflowProcess(long workflowPid,
                                      AttributeRequest[] attrs)
                                      throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns a Request corresponding to a given WorkflowProcess id.

  Parameters:
    `workflowPid` - ID of the workflow process.
  Returns:
    The Request corresponding to workflow processid.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD